ILOOKUP5_NOWAIT(9)

NAME
ilookup5_nowait - search for an inode in the inode cache

SYNOPSIS

struct inode * ilookup5_nowait (struct super_block * sb, unsigned long hashval, int (*test) <funcparams>struct inode *, void *</funcparams>, void * data);

ARGUMENTS

sb  super block of file system to search

hashval
    hash value (usually inode number) to search for

test
    callback used for comparisons between inodes

data
    opaque data pointer to pass to test

DESCRIPTION

 ilookup5 uses ifind to search for the inode specified by hashval and data in the inode cache. This is a generalized version of ilookup for file systems where the inode number is not sufficient for unique identification of an inode.

If the inode is in the cache, the inode is returned with an incremented reference count. Note, the inode lock is not waited upon so you have to be very careful what you do with the returned inode. You probably should be using ilookup5 instead.

Otherwise NULL is returned.

Note, test is called with the inode_lock held, so can't sleep.